Subject: Reminder: Call for IETF NomCom Chair nominations

From: Andrew Sullivan <[email-masked]>
Date: Mon, 21 Mar 2022 13:58:21 -0400

Dear colleagues,

This is a reminder that I'm seeking nominations for NomCom Chair for 2022-23.  I made the announcement in the message available at https://mailarchive.ietf.org/arch/msg/ietf/mbkvvN21pds8cilTKSBnzbBBjF8/.

I have not so far been overwhelmed with nominations, and one nomination declined to accept because of another commitment.  If you are interested in performing this service for the community, I urge you to put your name in.

This call for nominations closes at 23:59 UTC on 25 March 2022.  Please share the call as widely as you like.  Please direct replies with nominations directly to me at this address (not to the list!).  Thanks very much.

Best regards,

Andrew

-- 
Andrew Sullivan
President & CEO, Internet Society
[email-masked]
+1 416 731 1261